package com.huiju.estateagents.excel.ActivityStatistics;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

@Data
public class SharePersonNum {
    /**
     * 分享者姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享者姓名", index = 0)
    private String sharePersonName;

    /**
     * 分享者电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享者电话", index = 1)
    private String sharePersonPhone;

    /**
     * 分享者类型
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享者类型", index = 2)
    private String sharePersonType;

    /**
     * 分享次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享次数", index = 3)
    private Integer shareNum;

    /**
     * 访问人数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问人数", index = 4)
    private Integer visitPersonNum;

    /**
     * 访问次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问次数", index = 5)
    private Integer visitNum;

    @ExcelIgnore
    private String personId;
}
