package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;


import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TaVisitorLicenseSetting;

/**
 * <p>
 * 录入访客车牌功能开关表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-27
 */
public interface ITaVisitorLicenseSettingService extends IService<TaVisitorLicenseSetting> {

    /**
     * true 开启访客邀请的车辆  false 关闭访客邀请的车辆
     * @param userElement
     * @param visitorLicenseBool
     * @return
     */
    ResponseBean saveOrDelete(TaUser userElement, Boolean visitorLicenseBool);

    /**
     * 获取 访客邀请车辆是否开启
     * @param userElement
     * @return
     */
    ResponseBean getVisitorLicense(TaUser userElement);

}
