package com.huiju.estateagents.property.service;


import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TpActivity;
import com.huiju.estateagents.property.model.TpAnnouncement;
import com.huiju.estateagents.property.model.TpTicket;
import com.huiju.estateagents.property.model.TpTransaction;

import java.util.List;
import java.util.Map;

/**
 * @author weichaochao
 * @Title: SocialServiceI
 * @date 2018/10/23
 */
public interface SocialServiceI {

	/**
	 * 查看公告详情
	 * @param id
	 * @param orgId
	 * @param userId
	 * @return
	 */
    TpAnnouncement findAnnouncementDetail(Integer id, Integer orgId, Integer userId);


	/**
	 * 分页获取公告列表
	 * @param orgId
	 * @param title
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getAnnouncements(Integer orgId, String title, Integer pageNum, Integer pageSize);
}
