package com.huiju.estateagents.property.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.property.model.SysRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物业web端用户表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@Mapper
public interface RoleMapper extends BaseMapper<SysRole> {
	List<SysRole> getRoleListByParams(Page page, @Param("role") SysRole role);

	SysRole selectByRoleName(@Param("roleName") String roleName, @Param("orgId") Integer orgId);
}
